=== debian/changelog ===
vocproc (0.2-5build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:55:27 +0000

vocproc (0.2-5) unstable; urgency=medium

  * Drop parallel build to fix build (Closes: #789045)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 17 Jun 2015 13:57:55 +0200

vocproc (0.2-4) unstable; urgency=medium

  * Set dh/compat 9.
  * Bump Standards.
  * Enable parallel build.
  * Update copyright file.
  * Update VCS fields.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 11 Jun 2015 22:31:05 +0200

vocproc (0.2-3) unstable; urgency=low

  * Replace lv2core with lv2-dev in Build-Depends.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 May 2012 20:36:51 +0200

vocproc (0.2-2) unstable; urgency=low

  * debian/patches/01-makefile.patch:
    - Revert a portion of the patch, now could link against static
      libraries provided by lv2-c++-tools.
    - Set LDFLAGS properly.
  * debian/control:
    - Needs lv2-c++-tools (>= 1.0.4-3~).
    - Remove libpaq-dev from Build-Depends field.
    - Improve the description.
    - Bump Standards.
  * debian/rules: Set LDFLAGS+=-Wl,--as-needed.

 -- Alessio Treglia <alessio@debian.org>  Sat, 26 Mar 2011 10:32:39 +0100

vocproc (0.2-1) unstable; urgency=low

  * Initial release (Closes: #584620)  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 05 Jun 2010 15:34:05 +0200
