=== debian/changelog ===
vocproc (0.2.1-2) unstable; urgency=medium

  * Team upload
  * Remove myself from the Uploaders list

 -- Alessio Treglia <alessio@debian.org>  Tue, 31 Jan 2017 07:52:30 +0000

vocproc (0.2.1-1) unstable; urgency=medium

  * Patch forwarded.
  * New upstream version 0.2.1
  * Patch applied upstream.
  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Fix some hardening.
  * Try to avoid useless linking.
  * Tune .gitignore file.
  * Add patch to pass cflags and cppflags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Dec 2016 01:30:32 +0100
