=== debian/control ===
Source: vocproc
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper (>= 10),
 libboost-dev,
 libfftw3-dev,
 libgtkmm-2.4-dev,
 lv2-c++-tools (>= 1.0.4-3~),
 lv2-dev,
 pkg-config
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/vocproc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vocproc.git
Homepage: http://hyperglitch.com/dev/VocProc

Package: vocproc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: LV2 plugin for pitch shifting and vocoding
 VocProc is a LV2 plugin for pitch shifting (with or without formant
 correction), vocoding, automatic pitch correction and harmonizing
 of singing voice.
 .
 This package contains the vocproc LV2 plugin.
