=== debian/watch ===
version=3

http://hyperglitch.com/files/vocproc/vocproc-(.*)\.tar\.gz
